## r-cran-fastica 1.2

=== DESCRIPTION ===
Package: fastICA
Version: 1.2-7
Date: 2024-12-10
Title: FastICA Algorithms to Perform ICA and Projection Pursuit
Authors@R: c(person(given = c("Jonathan", "L"), family = "Marchini",
	            role = "aut"),
              person(given = "Chris", family = "Heaton", role = "aut"),
              person(given = "Brian", family = "Ripley",
                     role = c("aut", "cre"),
                     email = "Brian.Ripley@R-project.org"))
Depends: R (>= 4.0.0)
Suggests: MASS
Description: Implementation of FastICA algorithm to perform Independent
        Component Analysis (ICA) and Projection Pursuit.
License: GPL-2 | GPL-3
NeedsCompilation: yes
Packaged: 2024-12-10 15:20:40 UTC; ripley
Author: Jonathan L Marchini [aut],
  Chris Heaton [aut],
  Brian Ripley [aut, cre]
Maintainer: Brian Ripley <Brian.Ripley@R-project.org>
Repository: CRAN
Date/Publication: 2024-12-11 10:04:09 UTC

## r-cran-fastica 1.2-1

=== debian/changelog ===
r-cran-fastica (1.2-1-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #882035)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Nov 2017 13:53:06 -0600

=== debian/control ===
Source: r-cran-fastica
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.4.2), cdbs
Standards-Version: 4.1.1
Homepage: https://cran.r-project.org/package=fastICA

Package: r-cran-fastica
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-tibble, r-cran-magrittr
Description: GNU R package for ICA and Projection Pursuit
 The package provides an implementation of the FastICA algorithm to
 perform Independent Component Analysis (ICA) and Projection Pursuit.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fastica package
# Copyright 2003-2017 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-fastica 1.2-2

=== debian/changelog ===
r-cran-fastica (1.2-2-2) unstable; urgency=medium

  * Source-only upload

  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Aug 2019 09:31:09 -0500

r-cran-fastica (1.2-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Set debhelper to (>= 10)
  * debian/control: Add Vcs-Browser: and Vcs-Git: 
  * debian/compat: Increase level to 10
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Jul 2019 11:14:59 -0500

=== debian/control ===
Source: r-cran-fastica
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fastica
Vcs-Git: https://salsa.debian.org/edd/r-cran-fastica.git
Homepage: https://cran.r-project.org/package=fastICA

Package: r-cran-fastica
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for ICA and Projection Pursuit
 The package provides an implementation of the FastICA algorithm to
 perform Independent Component Analysis (ICA) and Projection Pursuit.

## r-cran-fastica 1.2-3

=== debian/changelog ===
r-cran-fastica (1.2-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to recent R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Sep 2021 11:33:51 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fastica
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fastica.git
 Homepage: https://cran.r-project.org/package=fastICA

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fastICA_([-\d\.]*)\.tar.gz

## r-cran-fastica 1.2-4

=== debian/changelog ===
r-cran-fastica (1.2-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Nov 2023 20:42:48 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fastica
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fastica.git
 Homepage: https://cran.r-project.org/package=fastICA

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fastica package
# Copyright 2003 - 2019 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-fastica 1.2-5.1

=== debian/changelog ===
r-cran-fastica (1.2-5.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Aug 2024 08:40:35 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fastica
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fastica.git
 Homepage: https://cran.r-project.org/package=fastICA

## r-cran-fastica 1.2-7

=== debian/changelog ===
r-cran-fastica (1.2-7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Dec 2024 13:06:32 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fastica
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fastica.git
